<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                template="/WEB-INF/templates/LoggedTemplate.xhtml">

    <ui:define name="contentPart">

        <h:form id="regitroPagos">
             <br/><br/>
              <h:outputText 
                  value="Elementos -> Pagos y Deudas" 
                style="font-weight: bold"/> 
            <p:tabView dynamic="true" cache="true" effect="fold">
                <p:tab title="Pagos">
                    <p:dataTable
                        id="listadoPagos"
                        value="#{pagosMB.pagostotales}"
                        var="registros"
                        paginator="true"
                        rows="10"
                        style="font-size: small"
                        emptyMessage="No se encontraron Registros"
                        paginatorPosition="bottom">
                        <f:facet name="header">
                            Registros
                            <p:commandButton 
                                id="btnAddEmp" 
                                styleClass="botonpequeno"
                                update ="listadoPagos"
                                value="Nuevo"
                                title="Nuevo Registro"
                                icon="ui-icon-circle-plus"
                                style="display:inline; float:right; font-size:100%; "
                                onclick="PF('AnexarPago').show();" />
                        </f:facet>
                        <p:column
                            sortBy="#{registros.id}"
                            filterMatchMode="contains"
                            width="12%"
                            style="font-size: small"
                            filterBy="#{registros.id}">
                            <f:facet name="header">ID</f:facet>
                            <h:outputText value="#{registros.id}"/>
                        </p:column>

                        <p:column
                            sortBy="#{registros.descripcion}"
                            filterMatchMode="contains"
                            width="12%"
                            style="font-size: small"
                            filterBy="#{registros.descripcion}">
                            <f:facet name="header">DESCRIPCIÓN</f:facet>
                            <h:outputText value="#{registros.descripcion}"/>
                        </p:column>

                        <p:column
                           sortBy="#{registros.productor}"
                           filterMatchMode="contains"
                           width="25%"
                           style="font-size: small"
                           filterBy="#{registros.productor}">
                           <f:facet name="header">PRODUCTOR</f:facet>
                           <h:outputText value="#{registros.productor}"/>
                       </p:column>

                       <p:column
                           sortBy="#{registros.monto}"
                           filterMatchMode="contains"
                           width="10%"
                           style="font-size: small"
                           filterBy="#{registros.monto}">
                           <f:facet name="header">MONTO</f:facet>
                           <h:outputText value="#{registros.monto}"/>
                       </p:column>

                        <p:column
                            sortBy="#{registros.fecha}"
                           filterMatchMode="contains"
                           width="20%"
                           style="font-size: small"
                           filterBy="#{registros.fecha}">
                           <f:facet name="header">FECHA</f:facet>
                           <h:outputText value="#{registros.fecha}"/>
                       </p:column>

                       <p:column
                           sortBy="#{registros.idtipopagos}"
                           filterMatchMode="contains"
                           width="25%"
                           style="font-size: small"
                           filterBy="#{registros.idtipopagos}">
                           <f:facet name="header">TIPO PAGO</f:facet>
                           <h:outputText value="#{registros.idtipopagos}"/>
                       </p:column>
                        <p:column  
                            style="font-size: small" 
                            width="18%"
                            headerText="Acciones">
                            <p:commandButton
                                onclick="PF('EditarregistroPago').show();"
                                title="Editar datos"
                                value="Editar"
                                icon="ui-icon-pencil"
                                update=":detalleEditarPago"
                                actionListener="#{pagosMB.seleccionEditar(registros)}">
                                <f:setPropertyActionListener
                                    value="#{registros}"
                                    target="#{pagosMB.registroSeleccionado}" />
                            </p:commandButton>

                            <p:commandButton value="Borrar" actionListener="#{pagosMB.borrarRegistro(registros)}" 
                                update="listadoPagos"
                                icon="ui-icon-scissors"
                                style="display:inline;float:left;width: 100px;"
                                immediate="true">                                            
                                <p:confirm header="Confirmación" message="Es de acuerdo en borrar este registro?" icon="ui-icon-alert" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                            </p:confirmDialog> 
                         </p:column>
                    </p:dataTable>
                    <br/>
                    <p:panel header="Exportar Datos">
                        <h:commandLink> 
                            <p:graphicImage value="../../../resources/images/excel.png" />
                            <p:dataExporter type="xls" postProcessor="#{manager.postProcessXLS}"
                                target="listadoPagos" fileName="myexcel" />
                        </h:commandLink>
                    </p:panel>
                </p:tab>
                <p:tab title="Prestamos, Anticipos e insumos ">
                    <p:dataTable
                        id="listadoDeudas"
                        value="#{pagosMB.deudastotales}"
                        var="registros"
                        paginator="true"
                        rows="10"
                        style="font-size: small"
                        emptyMessage="No se encontraron Registros"
                        paginatorPosition="bottom">
                        <f:facet name="header">
                            Registros
                            <p:commandButton 
                                id="btnAddEmp" 
                                styleClass="botonpequeno"
                                update ="listadoDeudas"
                                value="Nuevo"
                                title="Nuevo Registro"
                                icon="ui-icon-circle-plus"
                                style="display:inline; float:right; font-size:100%; "
                                onclick="PF('AnexarDeuda').show();" />
                        </f:facet>
                        <p:column
                            sortBy="#{registros.id}"
                            filterMatchMode="contains"
                            width="12%"
                            style="font-size: small"
                            filterBy="#{registros.id}">
                            <f:facet name="header">ID</f:facet>
                            <h:outputText value="#{registros.id}"/>
                        </p:column>

                        <p:column
                            sortBy="#{registros.descripcion}"
                            filterMatchMode="contains"
                            width="12%"
                            style="font-size: small"
                            filterBy="#{registros.descripcion}">
                            <f:facet name="header">DESCRIPCIÓN</f:facet>
                            <h:outputText value="#{registros.descripcion}"/>
                        </p:column>

                        <p:column
                           sortBy="#{registros.productor}"
                           filterMatchMode="contains"
                           width="25%"
                           style="font-size: small"
                           filterBy="#{registros.productor}">
                           <f:facet name="header">PRODUCTOR</f:facet>
                           <h:outputText value="#{registros.productor}"/>
                       </p:column>

                       <p:column
                           sortBy="#{registros.monto}"
                           filterMatchMode="contains"
                           width="10%"
                           style="font-size: small"
                           filterBy="#{registros.monto}">
                           <f:facet name="header">MONTO</f:facet>
                           <h:outputText value="#{registros.monto}"/>
                       </p:column>

                        <p:column
                            sortBy="#{registros.fecha}"
                           filterMatchMode="contains"
                           width="20%"
                           style="font-size: small"
                           filterBy="#{registros.fecha}">
                           <f:facet name="header">FECHA</f:facet>
                           <h:outputText value="#{registros.fecha}"/>
                       </p:column>

                       <p:column
                           sortBy="#{registros.idtipopagos}"
                           filterMatchMode="contains"
                           width="25%"
                           style="font-size: small"
                           filterBy="#{registros.idtipopagos}">
                           <f:facet name="header">TIPO PAGO</f:facet>
                           <h:outputText value="#{registros.idtipopagos}"/>
                       </p:column>
                        <p:column  
                            style="font-size: small" 
                            width="18%"
                            headerText="Acciones">
                            <p:commandButton
                                onclick="PF('EditarregistroDeuda').show();"
                                title="Editar datos"
                                value="Editar"
                                icon="ui-icon-pencil"
                                update=":detalleEditarDeuda"
                                actionListener="#{pagosMB.seleccionEditar(registros)}">
                                <f:setPropertyActionListener
                                    value="#{registros}"
                                    target="#{pagosMB.registroSeleccionado}" />
                            </p:commandButton>

                            <p:commandButton value="Borrar" actionListener="#{pagosMB.borrarRegistro(registros)}" 
                                update="listadoDeudas"
                                icon="ui-icon-scissors"
                                style="display:inline;float:left;width: 100px;"
                                immediate="true">                                            
                                <p:confirm header="Confirmación" message="Es de acuerdo en borrar este registro?" icon="ui-icon-alert" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon-close" />
                            </p:confirmDialog> 
                         </p:column>
                    </p:dataTable>
                    <br/>
                    <p:panel header="Exportar Datos">
                        <h:commandLink> 
                            <p:graphicImage value="../../../resources/images/excel.png" />
                            <p:dataExporter type="xls" postProcessor="#{manager.postProcessXLS}"
                                target="listadoDeudas" fileName="myexcel" />
                        </h:commandLink>
                    </p:panel>
                </p:tab>
                <p:tab title="Resumen">
                     <p:dataTable
                        id="listadoResumen"
                        value="#{pagosMB.resumentotales}"
                        var="registros"
                        paginator="true"
                        rows="10"
                        style="font-size: small"
                        emptyMessage="No se encontraron Registros"
                        paginatorPosition="bottom"> 
                        <p:column
                            sortBy="#{registros.id}"
                            filterMatchMode="contains"
                            width="10%"
                            style="font-size: small"
                            filterBy="#{registros.id}">
                            <f:facet name="header">ID</f:facet>
                            <h:outputText value="#{registros.id}"/>
                        </p:column>

                        <p:column
                            sortBy="#{registros.productor}"
                            filterMatchMode="contains"
                            width="25%"
                            style="font-size: small"
                            filterBy="#{registros.productor}">
                            <f:facet name="header">PRODUCTOR</f:facet>
                            <h:outputText value="#{registros.productor}"/>
                        </p:column>

                        <p:column
                            sortBy="#{registros.monto}"
                            filterMatchMode="contains"
                            width="25%"
                            style="font-size: small"
                            filterBy="#{registros.monto}">
                            <f:facet name="header">SALDO</f:facet>
                            <h:outputText value="#{registros.monto}"/>
                        </p:column>

                        <p:column  
                            style="font-size: small" 
                            width="18%"
                            headerText="Acciones">
                            <p:commandButton
                                onclick="PF('MostrarDetalle').show();"
                                title="Mostrar Detalle"
                                value="MostrarDetalle"
                                icon="ui-icon-pencil" 
                                actionListener="#{pagosMB.seleccionResumen(registros)}">
                                <f:setPropertyActionListener
                                    value="#{registros}"
                                    target="#{pagosMB.registroSeleccionado}" />
                            </p:commandButton>
                        </p:column>
                    </p:dataTable>
                    <br/>
                    <p:panel header="Exportar Datos">
                        <h:commandLink> 
                            <p:graphicImage value="../../../resources/images/excel.png" />
                            <p:dataExporter type="xls" postProcessor="#{manager.postProcessXLS}"
                                target="listadoDeudas" fileName="myexcel" />
                        </h:commandLink> 
                    </p:panel>
                </p:tab>
            </p:tabView>
        </h:form>
    </ui:define> 
    
    <ui:define name="outLayoutPart" > 
        <ui:include src="EditarPagos.xhtml" />    
        <ui:include src="AnexarPagos.xhtml" />
        <ui:include src="EditarDeudas.xhtml" />    
        <ui:include src="AnexarDeudas.xhtml" />
    </ui:define>
</ui:composition>   
